import { NetManager } from "./NetManager";

const { ccclass, property } = cc._decorator;

@ccclass
export default class PanelRecord extends cc.Component {

    @property(cc.Label)
    labelReward: cc.Label = null;

    @property(cc.Label)
    labelPrize: cc.Label = null;

    @property(cc.Label)
    labelTime: cc.Label = null;

    @property(cc.Node)
    recordInfoNode: cc.Node = null;

    @property(cc.Label)
    labelEmpty: cc.Label = null;

    @property(cc.Label)
    labelTips: cc.Label = null;
    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}

    start() {
        this.labelTips.string = NetManager.getInst().labelTips
    }

    // update (dt) {}
}
